%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_ActiveSync
%global pear_channel pear.horde.org

Name:           php-horde-Horde-ActiveSync
Version:        2.40.0
Release:        1%{?dist}
Summary:        Horde ActiveSync Libraries

Group:          Development/Libraries
License:        GPLv2
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  php-pear(%{pear_channel}/Horde_Mapi) 

# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Core)
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Stream)
BuildRequires:  php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Controller) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Icalendar) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Mongo) >= 1.0.2
BuildRequires:  php-pear(%{pear_channel}/Horde_Mail) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Compress) >= 2.0.0


BuildRequires:  php-channel(pear.horde.org)
Requires:       php-channel(pear.horde.org)

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
BuildRequires:       gettext
#Requires:       php-spl
BuildRequires:  php-pear(PEAR) >= 1.7.0
Requires:  	php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
Requires:  	php-pear(%{pear_channel}/Horde_Date) >= 2.0.0

Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Util) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Support) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Icalendar) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Icalendar) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Date) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Exception) >= 3.0.0

Requires:       php-pear(%{pear_channel}/Horde_Stream)
Requires:       php-pear(%{pear_channel}/Horde_Mapi)

# Optional
Requires:       php-pear(%{pear_channel}/Horde_Db) >= 2.1.0
Conflicts:      php-pear(%{pear_channel}/Horde_Db) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Imap_Client) >= 2.28.1
Conflicts:      php-pear(%{pear_channel}/Horde_Imap_Client) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Compress) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Compress) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Text_Filter) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Text_Filter) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Test) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Test) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mail) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Mail) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Mime) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mongo) >= 1.0.2
Conflicts:      php-pear(%{pear_channel}/Horde_Mongo) >= 2.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Libraries for implementing an ActiveSync server.

%prep
%setup -q -c

cat <<EOF >httpd.conf
# ActiveSync
RewriteEngine On
RewriteRule ^/Microsoft-Server-ActiveSync/$ /Microsoft-Server-ActiveSync [PT]
Alias /Microsoft-Server-ActiveSync %{pear_hordedir}/rpc.php

# Auto Discovery
Alias /autodiscover/autodiscover.xml %{pear_hordedir}/rpc.php
Alias /Autodiscover/Autodiscover.xml %{pear_hordedir}/rpc.php
Alias /AutoDiscover/AutoDiscover.xml %{pear_hordedir}/rpc.php

RewriteRule .* - [E=HTTP_MS_ASPROTOCOLVERSION:%{HTTP:Ms-Asprotocolversion}]
RewriteRule .* - [E=HTTP_X_MS_POLICYKEY:%{HTTP:X-Ms-Policykey}]
RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]

EOF

cd %{pear_name}-%{version}

## Don't install .po and .pot files
## Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}.po/d' \
    -e '/Horde_Other.po/d' \
    -e '/%{pear_name}.mo/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}

## Regenerate the locales
for po in $(find locale -name \*.po)
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Install Apache configuration
install -Dpm 0644 ../httpd.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf

## Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

for loc in locale/{??,??_??}; do
    lang=$(basename $loc)
    test -d $loc && echo "%%lang(${lang%_*}) %{pear_datadir}/%{pear_name}/$loc"
done | tee ../%{pear_name}.lang


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit --bootstrap bootstrap.php -d date.timezone=UTC .
#phpunit -d date.timezone=UTC .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files -f %{pear_name}.lang
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/ActiveSync
%{pear_phpdir}/Horde/ActiveSync.php
%{pear_testdir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}/locale
%doc %{pear_datadir}/%{pear_name}/migration


%changelog
* Mon Aug 26 2019 josef radinger <cheese@nosuchhost.net> - 2.40.0-1
- bump version

* Mon Apr 29 2019 josef radinger <cheese@nosuchhost.net> - 2.39.9-1
- bump version

* Sat Mar 23 2019 josef radinger <cheese@nosuchhost.net> - 2.39.8-1
- bump version

* Sun Jan 13 2019 josef radinger <cheese@nosuchhost.net> - 2.39.7-1
- bump version

* Mon Dec 31 2018 josef radinger <cheese@nosuchhost.net> - 2.39.6-1
- bump version

* Tue Dec 04 2018 josef radinger <cheese@nosuchhost.net> - 2.39.5-1
- bump version

* Mon Oct 29 2018 josef radinger <cheese@nosuchhost.net> - 2.39.4-1
- bump version

* Tue Jun 12 2018 josef radinger <cheese@nosuchhost.net> - 2.39.3-1
- bump version

* Wed Apr 04 2018 josef radinger <cheese@nosuchhost.net> - 2.39.2-2
- add apache-config-file

* Thu Feb 22 2018 josef radinger <cheese@nosuchhost.net> - 2.39.2-1
- bump version

* Mon Jan 22 2018 josef radinger <cheese@nosuchhost.net> - 2.39.1-1
- bump version

* Sun Nov 26 2017 josef radinger <cheese@nosuchhost.net> - 2.39.0-1
- bump version
- add --bootstrap bootstrap.php to unittest

* Tue Aug 29 2017 josef radinger <cheese@nosuchhost.net> - 2.38.8-1
- bump version

* Tue Aug 01 2017 josef radinger <cheese@nosuchhost.net> - 2.38.7-1
- bump version

* Thu Jun 22 2017 josef radinger <cheese@nosuchhost.net> - 2.38.6-1
- bump version

* Tue May 30 2017 josef radinger <cheese@nosuchhost.net> - 2.38.5-1
- bump version

* Thu May 04 2017 josef radinger <cheese@nosuchhost.net> - 2.38.4-1
- bump version

* Thu Apr 27 2017 josef radinger <cheese@nosuchhost.net> - 2.38.3-1
- bump version

* Fri Mar 31 2017 josef radinger <cheese@nosuchhost.net> - 2.38.2-1
- bump version

* Tue Mar 28 2017 josef radinger <cheese@nosuchhost.net> - 2.38.1-1
- bump version

* Thu Mar 02 2017 josef radinger <cheese@nosuchhost.net> - 2.38.0-1
- bump version

* Sun Dec 04 2016 josef radinger <cheese@nosuchhost.net> - 2.37.4-1
- bump version
- always run checks
- add buildrequires on Mongo+Compress
- add Core-Package to BuildRequires 

* Sun Nov 13 2016 josef radinger <cheese@nosuchhost.net> - 2.37.3-1
- bump version

* Sun Nov 06 2016 josef radinger <cheese@nosuchhost.net> - 2.37.2-1
- bump version

* Thu Sep 29 2016 josef radinger <cheese@nosuchhost.net> - 2.37.1-1
- bump version

* Wed Sep 21 2016 josef radinger <cheese@nosuchhost.net> - 2.37.0-1
- bump version

* Sat Sep 17 2016 josef radinger <cheese@nosuchhost.net> - 2.36.0-2
- remove path from check-section

* Sun Sep 11 2016 josef radinger <cheese@nosuchhost.net> - 2.36.0-1
- bump version

* Sun Jul 10 2016 josef radinger <cheese@nosuchhost.net> - 2.35.0-1
- bump version

* Wed Jun 08 2016 josef radinger <cheese@nosuchhost.net> - 2.34.0-1
- bump version

* Thu Jun 02 2016 josef radinger <cheese@nosuchhost.net> - 2.33.3-1
- bump version

* Sun May 29 2016 josef radinger <cheese@nosuchhost.net> - 2.33.1-1
- bump version

* Wed May 11 2016 josef radinger <cheese@nosuchhost.net> - 2.32.0-1
- bump version

* Sun May 08 2016 josef radinger <cheese@nosuchhost.net> - 2.31.10-1
- bump version

* Thu Apr 28 2016 josef radinger <cheese@nosuchhost.net> - 2.31.9-1
- bump version

* Thu Mar 24 2016 josef radinger <cheese@nosuchhost.net> - 2.31.8-1
- bump version

* Mon Mar 21 2016 josef radinger <cheese@nosuchhost.net> - 2.31.7-1
- bump version

* Sat Mar 12 2016 josef radinger <cheese@nosuchhost.net> - 2.31.6-1
- bump version

* Tue Feb 23 2016 josef radinger <cheese@nosuchhost.net> - 2.31.5-1
- bump version

* Fri Feb 19 2016 josef radinger <cheese@nosuchhost.net> - 2.31.4-1
- bump version

* Sun Feb 14 2016 josef radinger <cheese@nosuchhost.net> - 2.31.2-1
- bump version

* Thu Feb 04 2016 josef radinger <cheese@nosuchhost.net> - 2.31.1-1
- bump version

* Thu Jan 21 2016 josef radinger <cheese@nosuchhost.net> - 2.30.6-1
- bump version

* Thu Jan 14 2016 josef radinger <cheese@nosuchhost.net> - 2.30.5-1
- bump version

* Tue Jan 12 2016 josef radinger <cheese@nosuchhost.net> - 2.30.4-1
- bump version

* Sat Dec 12 2015 josef radinger <cheese@nosuchhost.net> - 2.30.3-1
- bump version

* Mon Nov 23 2015 josef radinger <cheese@nosuchhost.net> - 2.30.2-1
- bump version

* Fri Oct 30 2015 josef radinger <cheese@nosuchhost.net> - 2.30.1-1
- bump version

* Sat Oct 24 2015 josef radinger <cheese@nosuchhost.net> - 2.30.0-1
- bump version

* Tue Sep 22 2015 josef radinger <cheese@nosuchhost.net> - 2.29.2-1
- bump version

* Wed Sep 02 2015 josef radinger <cheese@nosuchhost.net> - 2.29.1-1
- bump version

* Fri Aug 21 2015 josef radinger <cheese@nosuchhost.net> - 2.29.0-1
- bump version

* Wed Jul 22 2015 josef radinger <cheese@nosuchhost.net> - 2.28.6-1
- bump version

* Thu Jun 11 2015 josef radinger <cheese@nosuchhost.net> - 2.28.5-1
- bump version

* Tue Jun 02 2015 josef radinger <cheese@nosuchhost.net> - 2.28.4-1
- bump version

* Thu May 28 2015 josef radinger <cheese@nosuchhost.net> - 2.28.3-1
- bump version

* Tue May 26 2015 josef radinger <cheese@nosuchhost.net> - 2.28.2-1
- bump version

* Tue May 19 2015 josef radinger <cheese@nosuchhost.net> - 2.28.1-1
- bump version

* Tue May 19 2015 josef radinger <cheese@nosuchhost.net> - 2.28.0-1
- bump version

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.27.1-1
- bump version

* Fri Apr 03 2015 josef radinger <cheese@nosuchhost.net> - 2.27.0-1
- bump version

* Thu Mar 05 2015 josef radinger <cheese@nosuchhost.net> - 2.26.1-1
- bump version

* Tue Feb 24 2015 josef radinger <cheese@nosuchhost.net> - 2.26.0-1
- bump version

* Thu Feb 19 2015 josef radinger <cheese@nosuchhost.net> - 2.25.0-1
- bump version

* Fri Feb 06 2015 josef radinger <cheese@nosuchhost.net> - 2.24.1-1
- bump version

* Sun Jan 11 2015 josef radinger <cheese@nosuchhost.net> - 2.24.0-1
- bump version

* Wed Jan 07 2015 josef radinger <cheese@nosuchhost.net> - 2.23.1-1
- bump version

* Wed Dec 24 2014 josef radinger <cheese@nosuchhost.net> - 2.23.0-1
- bump version

* Sun Dec 21 2014 josef radinger <cheese@nosuchhost.net> - 2.22.0-1
- bump version

* Tue Dec 16 2014 josef radinger <cheese@nosuchhost.net> - 2.21.0-1
- bump version

* Fri Dec 05 2014 josef radinger <cheese@nosuchhost.net> - 2.20.5-1
- bump version

* Tue Nov 25 2014 josef radinger <cheese@nosuchhost.net> - 2.20.4-1
- bump version

* Mon Nov 24 2014 josef radinger <cheese@nosuchhost.net> - 2.20.3-1
- bump version

* Sat Nov 22 2014 josef radinger <cheese@nosuchhost.net> - 2.20.1-1
- bump version

* Thu Nov 06 2014 josef radinger <cheese@nosuchhost.net> - 2.20.0-1
- bump version

* Tue Oct 21 2014 josef radinger <cheese@nosuchhost.net> - 2.19.4-1
- bump version

* Wed Oct 08 2014 josef radinger <cheese@nosuchhost.net> - 2.19.3-1
- bump version

* Thu Oct 02 2014 josef radinger <cheese@nosuchhost.net> - 2.19.2-1
- bump version

* Fri Sep 19 2014 josef radinger <cheese@nosuchhost.net> - 2.19.1-1
- bump version

* Tue Sep 09 2014 josef radinger <cheese@nosuchhost.net> - 2.19.0-1
- bump version

* Sat Sep 06 2014 josef radinger <cheese@nosuchhost.net> - 2.18.1-1
- bump version

* Sun Aug 24 2014 josef radinger <cheese@nosuchhost.net> - 2.18.0-1
- bump version

* Sun Aug 17 2014 josef radinger <cheese@nosuchhost.net> - 2.17.0-1
- bump version

* Sat Jul 12 2014 josef radinger <cheese@nosuchhost.net> - 2.16.11-1
- bump version

* Fri Jul 11 2014 josef radinger <cheese@nosuchhost.net> - 2.16.10-1
- bump version

* Tue Jul 01 2014 josef radinger <cheese@nosuchhost.net> - 2.16.9-1
- bump version

* Sun Jun 29 2014 josef radinger <cheese@nosuchhost.net> - 2.16.7-1
- bump version

* Tue Jun 24 2014 josef radinger <cheese@nosuchhost.net> - 2.16.6-1
- bump version

* Fri Jun 13 2014 josef radinger <cheese@nosuchhost.net> - 2.16.5-1
- bump version

* Sun Jun 08 2014 josef radinger <cheese@nosuchhost.net> - 2.16.4-1
- bump version

* Fri Jun 06 2014 josef radinger <cheese@nosuchhost.net> - 2.16.3-1
- add dependency on php-horde-Horde-Mapi
- bump version

* Fri May 30 2014 josef radinger <cheese@nosuchhost.net> - 2.16.2-1
- bump version

* Tue May 20 2014 josef radinger <cheese@nosuchhost.net> - 2.16.1-1
- Update to 2.16.1-1

* Thu May 15 2014 josef radinger <cheese@nosuchhost.net> - 2.15.1-1
- Update to 2.15.1-1

* Thu May 15 2014 josef radinger <cheese@nosuchhost.net> - 2.15.0-1
- Update to 2.15.0-1

* Thu Apr 17 2014 josef radinger <cheese@nosuchhost.net> - 2.14.0-1
- Update to 2.14.0-1

* Mon Apr 07 2014 josef radinger <cheese@nosuchhost.net> - 2.13.4-1
- Update to 2.13.4-1

* Sat Nov 02 2013 josef radinger <cheese@nosuchhost.net> - 2.8.5-1
- Update to 2.8.5

* Thu Oct 17 2013 josef radinger <cheese@nosuchhost.net> - 2.8.4-1
- Update to 2.8.4

* Fri Oct 04 2013 josef radinger <cheese@nosuchhost.net> - 2.8.2-1
- bump version

* Sat Sep 14 2013 josef radinger <cheese@nosuchhost.net> - 2.7.3-1
- initial package


